local Pipeline(channel) = {
  kind: "pipeline",
  type: "docker",
  name: channel,
  environment: {
    NUR_REPO: "xeals",
    // NIX_PATH: "nixpkgs=channel:" + channel,
    CACHIX_CACHE: "xeals",
    CACHIX_SIGNING_KEY: { from_secret: "cachix_key" },
  },
  steps: [
    {
      name: "build",
      image: "nixos/nix",
      commands: [
        "nix-channel --add https://nixos.org/channels/" + channel + " nixos",
        "nix-channel --update",
        "nix-build ci.nix -A buildOutputs",
        "nix eval -f default.nix 'lib'",
        "nix eval -f default.nix 'modules'",
        "nix eval -f default.nix 'overlays'"
      ]
    },
    {
      name: "deploy",
      image: "nixpkgs/cachix",
      commands: [
        'nix-build ci.nix -A cacheOutputs | cachix push "${CACHIX_CACHE}"'//,
        // 'if [[ "cron" != "${DRONE_BUILD_EVENT}" && -z "${DRONE_PULL_REQUEST}" && "master" = "${DRONE_BRANCH}" ]]; then
        //   curl -XPOST "https://nur-update.herokuapp.com/update?repo=${NUR_REPO}"; fi'
      ]
    }
  ]
};

[
  Pipeline("nixpkgs-unstable"),
  Pipeline("nixos-unstable"),
  Pipeline("nixos-20.03"),
]
